Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.acl
Class CachingRealm.CaseInsensitiveUserInfo

    java.lang.Object
      weblogic.security.acl.CachingRealm.CaseInsensitiveUserInfo

All Implemented Interfaces:
  Serializable, Principal, UserInfo

Enclosing class:
  CachingRealm

Deprecated. Deprecated in WebLogic Server 7.0. Replaced by the Pluggable Security Infrastructure.

    protected static class CachingRealm.CaseInsensitiveUserInfo

extends Object
implements UserInfo

This class is intended for use if the auth cache is not case-sensitive.

See Also:
  Serialized Form

Method Summary
`boolean` | `equals(Object obj)` Deprecated. This method will return true if the other object is a matching CaseSensitiveUserInfo object, or if it is a UserInfo object that matches the UserInfo object wrapped inside this object.
`String` | `getName()` Deprecated. Returns the name associated with a UserInfo.
`String` | `getRealmName()` Deprecated. Returns the realm name associated with a UserInfo.
`int` | `hashCode()` Deprecated.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.security.Principal
`toString`

Method Detail

### hashCode

    public int hashCode()

  Deprecated.
  Specified by:
    `hashCode` in interface `Principal`
  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Deprecated.
  This method will return true if the other object is a matching CaseSensitiveUserInfo object, or if it is a UserInfo object that matches the UserInfo object wrapped inside this object.

  Specified by:
    `equals` in interface `Principal`
  Overrides:
    `equals` in class `Object`

### getName

    public String getName()

  Deprecated.
  Description copied from interface: `UserInfo`
  Returns the name associated with a UserInfo.

  Specified by:
    `getName` in interface `Principal`
  Specified by:
    `getName` in interface `UserInfo`
  Returns:
    String username

### getRealmName

    public String getRealmName()

  Deprecated.
  Description copied from interface: `UserInfo`
  Returns the realm name associated with a UserInfo.

  Specified by:
    `getRealmName` in interface `UserInfo`
  Returns:
    String realm name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD